---
title: Check Processing Status
slug: tutorials/check-processing-status
description: Learn how to retrieve detailed updates on the current status of audio, transcript, or chat interactions with this document. It explains the endpoint that allows users to make a GET request to retrieve the processing status of an interaction. Discover code
docTags: 
createdAt: 2022-06-14T17:55:35.000Z
---

# <font color="#3694fc">//  </font>Overview&#x20;

Leveraging the unique **`interactionIdentifier`** returned upon successfully declaring the  [audio](docId\:PqLj1vqO7gTf0iqj1LBVN), [chat](docId\:iD41ifX7uC0RZDlb7RbtO), or [transcription](docId:8OMp8XUfyRY9gaB1YIvul) interaction enables you to instantly retrieve detailed updates on the **[current status](docId\:dg0fHnxsBeEqTYD1ruQrQ)** of your interaction analysis.


:::hint{type="info"}
**PRO TIP**: For best results, we recommend checking the processing status – *at most&#x20;*&#x20;– **every thirty (30) seconds for an audio file** and **every five (5) seconds for a chat or transcription file.**
:::

:::::VerticalSplit
:::VerticalSplitItem

When this <font color="#2166ae">`GET`</font> request successfully executes, an **`HTTP`** status is returned to indicate the request was successful, along with a **`JSON`** response providing details around the [processing status](docId\:dg0fHnxsBeEqTYD1ruQrQ) of your interaction.



If an error occurs when requesting the status, a standard **`HTTP`** response code is retuned to indicate the request was unsuccessful, along with a **`JSON`** response containing additional details to[ assist with troubleshooting](https://docs.elevateai.com/#Qofti).
:::

::::VerticalSplitItem


:::CodeblockTabs
Sample API Response

```json
{
  "identifier": "bd5c92f3-c228-44a6-91bf-b52672569878",
  "status": "processed",
  "declared": "2022-06-17T21:23:06.137087Z",
  "uploaded": null,
  "downloaded": "2022-06-17T21:24:53.639208Z",
  "processed": "2022-06-17T21:29:05.071Z",
  "errorMessage": null
}
```
:::
::::
:::::

You are only able to retrieve the [phrase-by-phrase transcript](docId\:Lb05bq-53XEiIWV5lXi9k), the [punctuated transcript](docId\:lUBKnfsfjJ9ZA79mM-kdN), or the [CX AI results](docId:05yDvE34Wjax0rFhFWDxM) associated with the interaction once the `status` indicates the interaction has been `processed`.


:::hint{type="info"}
**NOTE**: Only processed interactions will generate applicable usage billing.&#x20;

Please refer to the [ElevateAI Invoicing Policy](docId\:o6bp0Qg51Jaz8zKUwM3IH) for more information.
:::

***

# <font color="#3694fc">//  </font>Request Parameters & Code Example

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.elevateai.com/v1/interactions/{interactionIdentifier}/status",
  "name": "Retrieve Processing Status",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "interactionIdentifier",
        "type": "string",
        "description": "interactionIdentifier returned upon successfully declaring the interaction"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-Token",
        "type": "string",
        "description": "Valid API key associated with your account for authentication and usage tracking"
      },
      {
        "kind": "optional",
        "name": "Accept-Encoding",
        "type": "string",
        "description": "Recommended for bandwidth optimization, will be 'gzip, deflate, br'"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "z4oJaIchyK2u3vEsn0Hc_",
        "code": "{\n  \"identifier\": \"string\",\n  \"status\": \"string\",\n  \"declared\": \"string\",\n  \"uploaded\": \"string\",\n  \"downloaded\": \"string\",\n  \"processed\": \"string\",\n  \"errorMessage\": \"string\"\n}",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "6qtTbZWCFEZJoynVEKZ7J",
        "code": "{\r\n  \"errorMessage (string)\"\r\n}",
        "language": "401",
        "customLabel": ""
      },
      {
        "id": "kED3nZp5YCf_nIV5WBK6L",
        "code": "{\r\n  \"errorMessage (string)\"\r\n}",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "z4oJaIchyK2u3vEsn0Hc_"
  },
  "examples": {
    "languages": [
      {
        "id": "-F8VjrVe5qr1EhrI7Egt1",
        "code": "curl --location -g --request GET 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}/status' \\\r\n--header 'Accept-Encoding: gzip, deflate, br' \\\r\n--header 'X-API-Token: {Your API Token}'",
        "language": "curl",
        "customLabel": ""
      },
      {
        "id": "DEAPX_aaeTIuwVOKMpY11",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}/status',\n  'headers': {\n    'Accept-Encoding': 'gzip, deflate, br',\n    'X-API-Token': '{Your API Token}'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      },
      {
        "id": "eikTqEFAMyWmExzS4sHLA",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept-Encoding\", \"gzip, deflate, br\");\nmyHeaders.append(\"X-API-Token\", \"{Your API Token}\");\n\nvar requestOptions = {\n  method: 'GET',\n  headers: myHeaders,\n  redirect: 'follow'\n};\n\nfetch(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}/status\", requestOptions)\n  .then(response => response.text())\n  .then(result => console.log(result))\n  .catch(error => console.log('error', error));",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "P-xG2nOhXjy2ndoIo_acD",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.elevateai.com\")\npayload = ''\nheaders = {\n  'Accept-Encoding': 'gzip, deflate, br',\n  'X-API-Token': '{Your API Token}'\n}\nconn.request(\"GET\", \"/v1/interactions/{InteractionIdentifier}/status\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "language": "python",
        "customLabel": ""
      },
      {
        "id": "idP5iMx79uQ9r--QRJ2Mq",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}/status\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept-Encoding\"] = \"gzip, deflate, br\"\nrequest[\"X-API-Token\"] = \"{Your API Token}\"\n\nresponse = https.request(request)\nputs response.read_body",
        "language": "ruby",
        "customLabel": ""
      },
      {
        "id": "2y5xmpjU8G4wa6f7_5bfX",
        "code": "var client = new RestClient(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}/status\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nrequest.AddHeader(\"Accept-Encoding\", \"gzip, deflate, br\");\r\nrequest.AddHeader(\"X-API-Token\", \"{Your API Token}\");\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp",
        "customLabel": ""
      },
      {
        "id": "9YeNfgM1OW7amveJkARpz",
        "code": "<?php\r\n\r\n$curl = curl_init();\r\n\r\ncurl_setopt_array($curl, array(\r\n  CURLOPT_URL => 'https://api.elevateai.com/v1/interactions/%7BInteractionIdentifier%7D/status',\r\n  CURLOPT_RETURNTRANSFER => true,\r\n  CURLOPT_ENCODING => '',\r\n  CURLOPT_MAXREDIRS => 10,\r\n  CURLOPT_TIMEOUT => 0,\r\n  CURLOPT_FOLLOWLOCATION => true,\r\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\r\n  CURLOPT_CUSTOMREQUEST => 'GET',\r\n  CURLOPT_HTTPHEADER => array(\r\n    'Accept-Encoding: gzip, deflate, br',\r\n    'X-API-Token: {Your API Token}'\r\n  ),\r\n));\r\n\r\n$response = curl_exec($curl);\r\n\r\ncurl_close($curl);\r\necho $response;",
        "language": "php",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P-xG2nOhXjy2ndoIo_acD"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "retrieve-processing-status",
  "legacyHash": "9caZMkqbdbGyQsL4oM7D-"
}
```
:::

***

# <font color="#3694fc">//  </font>Response Schema

## Schema

| **Element**  | **Type**       | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------ | -------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| identifier   | string         | Unique `interactionIdentifier` associated with the request                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| status       | string         | [Current status](docId\:dg0fHnxsBeEqTYD1ruQrQ) of the interaction                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| declared     | string         | Date/Time – formatted according to [ISO 8601 (UTC)](https://www.cl.cam.ac.uk/~mgk25/iso-time.html) – that the interaction was successfully declared                                                                                                                                                                                                                                                                                                                                                  |
| uploaded     | string or null | If applicable – Date/Time formatted according to [ISO 8601 (UTC)](https://www.cl.cam.ac.uk/~mgk25/iso-time.html) – that an interaction provided directly to the API was successfully uploaded to ElevateAI and ready to be entered into the processing queue                                                                                                                                                                                                                                         |
| downloaded   | string or null | If applicable – Date/Time formatted according to [ISO 8601 (UTC)](https://www.cl.cam.ac.uk/~mgk25/iso-time.html) – that an interaction provided via `downloadUri` was successfully downloaded and ready to be entered into the processing queue                                                                                                                                                                                                                                                      |
| processed    | string or null | If applicable – Date/Time formatted according to [ISO 8601 (UTC)](https://www.cl.cam.ac.uk/~mgk25/iso-time.html) – that processing was complete and results available to be retrieved                                                                                                                                                                                                                                                                                                                |
| errorMessage | string or null | If applicable, a [human-readable description of errors](https://docs.elevateai.com/#Qofti) encountered when uploading, downloading, or processing the interaction that must be addressed prior to re-declaring an interaction. If you need additional support, please contact us at [support@elevateai.com](mailto\:support@elevateai.com) and include the error message you've received. <br />****<br />**NOTE:&#x20;**&#x54;ypically, declaring the same call again *will not resolve* the issue. |

:::hint{type="info"}
**NOTE**: All source data has been deleted once **[`processing status`](docId\:dg0fHnxsBeEqTYD1ruQrQ)** indicates either **`processed`** or **`processingFailed`**
:::

## Status Definitions

| **Status**          | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| ------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| declared            | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** interaction has been successfully declared with a **`downloadUri`** and the file is waiting to be inserted into the download queue OR a [chat](docId\:iD41ifX7uC0RZDlb7RbtO) or **[`transcription`](docId:8OMp8XUfyRY9gaB1YIvul)** interaction has been successfully declared and is waiting to be inserted in the processing queue                                                                                                                                                                  |
| filePendingUpload   | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** interaction has been successfully declared without a **`downloadUri`**, and is waiting for the associated file to be [uploaded directly to the API](docId\:XpI3oG0-QAqt0TNVXRRth)                                                                                                                                                                                                                                                                                                                    |
| fileUploading       | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** file associated with this interaction has been provided directly to the API and is in the process of being uploaded by the service                                                                                                                                                                                                                                                                                                                                                                   |
| fileUploaded        | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** file associated with this interaction has been successfully uploaded and is waiting to be inserted into the processing queue                                                                                                                                                                                                                                                                                                                                                                         |
| fileUploadFailed    | There was an error encountered when uploading an **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** file to the ElevateAI system – reference additional information returned in the **`errorMessage`** element re-upload the file for processing                                                                                                                                                                                                                                                                                                           |
| filePendingDownload | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** interaction has been successfully declared with a **`downloadUri`**&#x61;nd the file is in queue to be downloaded                                                                                                                                                                                                                                                                                                                                                                                    |
| fileDownloading     | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** interaction has been successfully declared with a **`downloadUri`** and the file is in the process of being download from the URL provided                                                                                                                                                                                                                                                                                                                                                           |
| fileDownloaded      | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** interaction has been successfully downloaded from the provided **`downloadUri`** URL, and is waiting to be inserted into the processing queue                                                                                                                                                                                                                                                                                                                                                        |
| fileDownloadFailed  | There was an error encountered when downloading an **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** file to the ElevateAI system from the **`downloadUri`** URL – reference additional information returned in the **`errorMessage`** element and confirm you have provided a [valid file format](https://docs.elevateai.com/overview#yUZ5G) prior to re-declaring                                                                                                                                                                                       |
| pendingProcessing   | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** , [chat](docId\:iD41ifX7uC0RZDlb7RbtO) or **[`transcript`](docId:8OMp8XUfyRY9gaB1YIvul)** interaction is in queue for processing                                                                                                                                                                                                                                                                                                                                                                     |
| processing          | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** , [chat](docId\:iD41ifX7uC0RZDlb7RbtO) or **[`transcript`](docId:8OMp8XUfyRY9gaB1YIvul)** interaction is actively being processed by the Service                                                                                                                                                                                                                                                                                                                                                     |
| processed           | An **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** , [chat](docId\:iD41ifX7uC0RZDlb7RbtO) or **[`transcript`](docId:8OMp8XUfyRY9gaB1YIvul)** interaction has been successfully processed and you are now able to retrieve the [phrase-by-phrase transcript](docId\:Lb05bq-53XEiIWV5lXi9k), [punctuated transcript](docId\:lUBKnfsfjJ9ZA79mM-kdN), and/or [CX AI results](docId:05yDvE34Wjax0rFhFWDxM) associated with the interaction                                                                                                                   |
| processingFailed    | There was [an error](https://docs.elevateai.com/#Qofti) encountered while processing the **[`audio`](docId\:PqLj1vqO7gTf0iqj1LBVN)** , [chat](docId\:iD41ifX7uC0RZDlb7RbtO) or **[`transcript`](docId:8OMp8XUfyRY9gaB1YIvul)** interaction - reference additional information returned in the **`errorMessage`** element and contact us at [support@elevateai.com](mailto\:support@elevateai.com) with any additional questions<br />****<br />**NOTE:&#x20;**&#x54;ypically, declaring the same call again *will not&#x20;*&#x72;esolve the issue. |


**Need more help?** Contact the [ElevateAI Support team](mailto\:support@elevateai.com). &#x20;
